```wmd-options
language = es
title_i18n = anyanka_keys_title_manual_base
title_text = Base - Manual - AnyankaKeys
```

<!-- [[wmd]] -->

### Base

Siguiendo la lógica que se describe en la cabecera de la raíz de la documentación de este proyecto nos encontramos con una Clase-Objeto que gestiona todas las partes relacionadas con el sistema de encriptación y Hasheo. La idea es la siguiente: 

* Obtener el tipo de dato que se quiere procesar y crear el objeto de proceso acorde a ese tipo de dato.
* Crear el sistema que gestiona el cambio de base para adaptar los datos a diferentes alfabetos.
* Hacer gestión de cambio de base mediante una iteración con Callback.
* Hacer uso de Callback para gestionar la codificación/encriptación y la decodificación/desencriptación independientemente.

Se hace uso de un sistema de Callbacks para que éste pueda ser reutilizado independientemente de la situación. Sí es cierto que dificulta y añade un nivel más de complejidad pero también permite mayor escalavilidad, versatilidad y rendimiento por depender de un único recorrido de los datos y no diversos como sería en un entorno normal.

```mermaid
flowchart TD

subgraph Encoding
    
end

subgraph Decoding
end

<!-- [[wmd]] -->